"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _fs = _interopRequireDefault(require("fs"));
var _ansiColors = _interopRequireDefault(require("ansi-colors"));
var _balmCoreModule = require("./balm-core-module");
var balmCore;
if (_fs["default"].existsSync(_balmCoreModule.localModule)) {
  balmCore = _balmCoreModule.localModule;
} else if (_fs["default"].existsSync(_balmCoreModule.npmGlobalModule)) {
  balmCore = _balmCoreModule.npmGlobalModule;
} else if (_fs["default"].existsSync(_balmCoreModule.yarnGlobalModule)) {
  balmCore = _balmCoreModule.yarnGlobalModule;
} else {
  console.error(_ansiColors["default"].bgBlueBright('BalmJS'), _ansiColors["default"].yellow("`".concat(_balmCoreModule.BALM_CORE_PACKAGE_NAME, "` module not found :(")));
  process.exit(1);
}
var _default = exports["default"] = balmCore;