"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _package = _interopRequireDefault(require("../package.json"));
var _semver = _interopRequireDefault(require("semver"));
var _config = require("./config");
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function checkVersion(balmCoreVersion) {
  if (balmCoreVersion && _semver["default"].lt(balmCoreVersion, _package["default"].version)) {
    // For `balm-core` < `balm`
    console.log(_config.title, _config.message.outdated);
  }
}
var _default = exports["default"] = checkVersion;